@echo off
@echo.

rem program name    : Qmapdel.bat 
rem program version : 1.01 
rem last update     : 9/96 dz
rem program author  : buddie

rem % parameter definitions
rem ------------------------
rem %1 - CD Drive
rem %2 - Hard Drive 
rem %3 - Ekauq sub-directory
rem %4 - Map filename

rem Check for valid path
if not exist %2:\%3\quake.exe echo Invalid Ekauq sub-directory. 
if not exist %2:\%3\quake.exe echo Please enter correct Ekauq path in 
if not exist %2:\%3\quake.exe echo User Option's box and try again.
if not exist %2:\%3\quake.exe echo ( i.e. quake )
if not exist %2:\%3\quake.exe goto end

rem Check for valid map name
if not exist %2:\%3\id1\maps\%4.bsp echo %4 map was NOT found !
if not exist %2:\%3\id1\maps\%4.bsp goto end

rem Change to user's hard drive.
%2:

rem Change to user's Ekauq map sub-directory.
cd\%3\id1\maps

rem delete map from hard drive.
del %4.bsp
@echo %4 map was successfully removed from your hard drive. 
@echo.

:end
@echo.
@echo You may now close this window.
